All Collections
Desktop App
Desktop App Installation
Computer and operating system requirements to install Splice
Computer and operating system requirements to install Splice
Updated over a week ago

At this time, the Splice Desktop App is compatible with the following operating systems:

  • Mac OS 10.15 and above

    MacOS Logo
  • Microsoft Windows 10 and above

    Windows Logo

If you are on an operating system older than the ones listed above, you will need to update in order to use Splice.

As a potential workaround for active subscribers, you may be able to download samples from the Splice website. Please note that we cannot guarantee functionality of the Splice website if you are on an unsupported OS.

Once you add a sample to your library, there will be a "Download" button for you to download the sample directly to your computer from the website.​

​

Please note, the Desktop App is required for Rent-to-Own subscriptions and Splice plug-ins (Bridge, Astra, Beatmaker).

Did this answer your question?